Date: Mon, 16 Jun 1997 23:54:25 +0200 (MET DST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@thomas.kotnet.org>
To: Jes Soerensen <Jes.Sorensen@cern.ch>,
        Linux/m68k <linux-m68k@phil.uni-sb.de>
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>


Identify the M-Tech Viper Mk V.

As you may notice, this patch is relative to the `old scheme' Zorro
identification sources, because the `new scheme' identification is [*] not yet
in the current Linux/m68k source tree.

Anyone with a _real_ objection against my new Zorro scheme (cfr. the patches I
posted against various 2.1.x source trees before)??

Features of the new Zorro scheme:

  - Easier board management: every board has one 32-bit ID (16-bit
    manufacturer, 8-bit product, 8-bit extra), so you no longer have to know
    which product code matches which manufacturer.

  - GVP boards are known by the zorro code (through the 8-bit extra), another
    simplification.

  - Less string space, while providing board class names.


--- linux-2.1.42/include/linux/zorro.h.orig	Sun Jun  1 21:56:45 1997
+++ linux-2.1.42/include/linux/zorro.h	Mon Jun 16 21:18:01 1997
@@ -333,6 +333,8 @@
 #define PROD_MTEC_68020I       (0x06)	/* 68020i Turbo Board */
 #define PROD_MTEC_T1230        (0x20)	/* A1200 T68030/42 RTC Turbo Board */
 #define PROD_MTEC_RAM          (0x22)	/* MTEC 8MB RAM */
+#define PROD_VIPER_MK5_TURBO   (0x21)	/* Viper Mk V Turbo Board */
+#define PROD_VIPER_MK5_SCSI    (0x24)	/* Viper Mk V SCSI Controller */
 
 #define MANUF_GVP2             (0x0891)	/* Great Valley Products */
 #define PROD_SPECTRUM_RAM      (0x01)	/* EGS 28/24 Spectrum Graphics Board */
--- linux-2.1.42/arch/m68k/amiga/zorro.c.orig	Sun May 18 23:08:54 1997
+++ linux-2.1.42/arch/m68k/amiga/zorro.c	Mon Jun 16 21:18:24 1997
@@ -453,6 +453,8 @@
    PROD("68020i Turbo Board", MTEC_68020I)
    PROD("A1200 T68030/42 RTC Turbo Board", MTEC_T1230)
    PROD("8MB RAM", MTEC_RAM)
+   PROD("Viper Mk V Turbo Board", VIPER_MK5_TURBO)
+   PROD("Viper Mk V SCSI Controller", VIPER_MK5_SCSI)
 END
 
 BEGIN_PROD(GVP2)

Greetings,

						Geert

[*] Matching adverbs to be put here should be implicitly assumed by the
    reader.
--
Geert Uytterhoeven                   Geert.Uytterhoeven@thomas.kotnet.org
Linux/m68k on Amiga, Wavelets        http://www.cs.kuleuven.ac.be/~geert/
KotNET@Thomas Network Administration -- Make you bed part of Cyberspace!!


